Recent

Author Topic: FreeBSD 11?  (Read 455 times)

guest64953

  • Guest
FreeBSD 11?
« on: December 17, 2019, 11:55:34 am »
Just to remind you that FreeBSD 11 still being supported. I'm using FreeBSD 11.3 and found I can't run fpcupdeluxe because of Undefined symbol "stat@FBSD_1.5" error. I checked the net and found it's because the binary was compiled for FreeBSD 12.0 so it can't not run on my 11.3. I checked the snapshots provided by fpc on your ftp server, the readme file clearly state it was compiled on a FreeBSD 12.0 system. So it's not Don's crosscompiler fault, I know he crosscompiled all of these fpcupdeluxe binaries from Windows, though.

I don't ask you to support FreeBSD 11 because I know you lacked of both manpower and resources. I only want you to update your wiki to clearly state when you said FreeBSD, you mean the latest greatest version, in this case is 12.0 (I should be 12.1, but binary compiled on 12.0 would run no problem on 12.1 anyway). Thanks.

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1068
  • Former Delphi 1-7, 10.2 User
Re: FreeBSD 11?
« Reply #1 on: December 17, 2019, 12:46:20 pm »
You don't need to use fpcupdeluxe - you can simply install Lazarus and FPC from the FreeBSD Ports system (I did on 11.3). From memory I only needed to:

Code: [Select]
cd /usr/ports/editors/lazarus && make install

See the Wiki for details: https://wiki.freepascal.org/Portal:FreeBSD
o Lazarus v2.1.0 r63871, FPC v3.3.1 r47164, macOS 10.14.6, Xcode 11.3.1
o Lazarus v2.1.0 r64160, FPC v3.3.1 Nov 27 21:16:31, macOS 11.0.1 (aarch64), Xcode 12.2
o Lazarus v2.1.0 r61574, FPC v3.3.1 r42318, FreeBSD 12.1 amd64 (VMware VM)
o Lazarus v2.1.0 r61574, FPC v3.0.4, Ubuntu 20.04 (PD VM)

 

TinyPortal © 2005-2018